1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingPolicySubsettingSchemaRelations
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi

    This data source provides the list of Subsetting Policy Subsetting Schema Relations in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of referential relations present in the specified subsetting policy schemas based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingPolicySubsettingSchemaRelations = oci.datasafe.getSubsettingPolicySubsettingSchemaRelations({
        subsettingPolicyId: testSubsettingPolicy.id,
        objects: subsettingPolicySubsettingSchemaRelationObject,
        relationType: subsettingPolicySubsettingSchemaRelationRelationType,
        schemaNames: subsettingPolicySubsettingSchemaRelationSchemaName,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_policy_subsetting_schema_relations = oci.datasafe.get_subsetting_policy_subsetting_schema_relations(subsetting_policy_id=test_subsetting_policy["id"],
        objects=subsetting_policy_subsetting_schema_relation_object,
        relation_type=subsetting_policy_subsetting_schema_relation_relation_type,
        schema_names=subsetting_policy_subsetting_schema_relation_schema_name)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingPolicySubsettingSchemaRelations(ctx, &datasafe.GetSubsettingPolicySubsettingSchemaRelationsArgs{
    			SubsettingPolicyId: testSubsettingPolicy.Id,
    			Objects:            subsettingPolicySubsettingSchemaRelationObject,
    			RelationType:       pulumi.StringRef(subsettingPolicySubsettingSchemaRelationRelationType),
    			SchemaNames:        subsettingPolicySubsettingSchemaRelationSchemaName,
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingPolicySubsettingSchemaRelations = Oci.DataSafe.GetSubsettingPolicySubsettingSchemaRelations.Invoke(new()
        {
            SubsettingPolicyId = testSubsettingPolicy.Id,
            Objects = subsettingPolicySubsettingSchemaRelationObject,
            RelationType = subsettingPolicySubsettingSchemaRelationRelationType,
            SchemaNames = subsettingPolicySubsettingSchemaRelationSchemaName,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingSchemaRelationsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingPolicySubsettingSchemaRelations = DataSafeFunctions.getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs.builder()
                .subsettingPolicyId(testSubsettingPolicy.get("id"))
                .objects(subsettingPolicySubsettingSchemaRelationObject)
                .relationType(subsettingPolicySubsettingSchemaRelationRelationType)
                .schemaNames(subsettingPolicySubsettingSchemaRelationSchemaName)
                .build());
    
        }
    }
    
    variables:
      testSubsettingPolicySubsettingSchemaRelations:
        fn::invoke:
          function: oci:DataSafe:getSubsettingPolicySubsettingSchemaRelations
          arguments:
            subsettingPolicyId: ${testSubsettingPolicy.id}
            objects: ${subsettingPolicySubsettingSchemaRelationObject}
            relationType: ${subsettingPolicySubsettingSchemaRelationRelationType}
            schemaNames: ${subsettingPolicySubsettingSchemaRelationSchemaName}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_policy_subsetting_schema_relations" "testSubsettingPolicySubsettingSchemaRelations" {
      subsetting_policy_id = testSubsettingPolicy.id
      objects              = subsettingPolicySubsettingSchemaRelationObject
      relation_type        = subsettingPolicySubsettingSchemaRelationRelationType
      schema_names         = subsettingPolicySubsettingSchemaRelationSchemaName
    }
    

    Using getSubsettingPolicySubsettingSchemaRelations

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingPolicySubsettingSchemaRelations(args: GetSubsettingPolicySubsettingSchemaRelationsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingSchemaRelationsResult>
    function getSubsettingPolicySubsettingSchemaRelationsOutput(args: GetSubsettingPolicySubsettingSchemaRelationsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingSchemaRelationsResult>
    def get_subsetting_policy_subsetting_schema_relations(filters: Optional[Sequence[GetSubsettingPolicySubsettingSchemaRelationsFilter]] = None,
                                                          objects: Optional[Sequence[str]] = None,
                                                          relation_type: Optional[str] = None,
                                                          schema_names: Optional[Sequence[str]] = None,
                                                          subsetting_policy_id: Optional[str] = None,
                                                          opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingSchemaRelationsResult
    def get_subsetting_policy_subsetting_schema_relations_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingSchemaRelationsFilterArgs]]]] = None,
                                                          objects: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                          relation_type: pulumi.Input[Optional[str]] = None,
                                                          schema_names: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                          subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                                                          opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingSchemaRelationsResult]
    func GetSubsettingPolicySubsettingSchemaRelations(ctx *Context, args *GetSubsettingPolicySubsettingSchemaRelationsArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingSchemaRelationsResult, error)
    func GetSubsettingPolicySubsettingSchemaRelationsOutput(ctx *Context, args *GetSubsettingPolicySubsettingSchemaRelationsOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingSchemaRelationsResultOutput

    > Note: This function is named GetSubsettingPolicySubsettingSchemaRelations in the Go SDK.

    public static class GetSubsettingPolicySubsettingSchemaRelations 
    {
        public static Task<GetSubsettingPolicySubsettingSchemaRelationsResult> InvokeAsync(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> Invoke(GetSubsettingPolicySubsettingSchemaRelationsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> Invoke(GetSubsettingPolicySubsettingSchemaRelationsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingPolicySubsettingSchemaRelationsResult> getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingPolicySubsettingSchemaRelations:getSubsettingPolicySubsettingSchemaRelations
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_policy_subsetting_schema_relations" "name" {
        # arguments
    }

    The following arguments are supported:

    SubsettingPolicyId string
    The OCID of the subsetting policy.
    Filters List<GetSubsettingPolicySubsettingSchemaRelationsFilter>
    Objects List<string>
    A filter to return only items related to a specific object name.
    RelationType string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    SchemaNames List<string>
    A filter to return only items related to specific schema name.
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    Filters []GetSubsettingPolicySubsettingSchemaRelationsFilter
    Objects []string
    A filter to return only items related to a specific object name.
    RelationType string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    SchemaNames []string
    A filter to return only items related to specific schema name.
    subsetting_policy_id string
    The OCID of the subsetting policy.
    filters list(object)
    objects list(string)
    A filter to return only items related to a specific object name.
    relation_type string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    schema_names list(string)
    A filter to return only items related to specific schema name.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    filters List<GetSubsettingPolicySubsettingSchemaRelationsFilter>
    objects List<String>
    A filter to return only items related to a specific object name.
    relationType String
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    schemaNames List<String>
    A filter to return only items related to specific schema name.
    subsettingPolicyId string
    The OCID of the subsetting policy.
    filters GetSubsettingPolicySubsettingSchemaRelationsFilter[]
    objects string[]
    A filter to return only items related to a specific object name.
    relationType string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    schemaNames string[]
    A filter to return only items related to specific schema name.
    subsetting_policy_id str
    The OCID of the subsetting policy.
    filters Sequence[GetSubsettingPolicySubsettingSchemaRelationsFilter]
    objects Sequence[str]
    A filter to return only items related to a specific object name.
    relation_type str
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    schema_names Sequence[str]
    A filter to return only items related to specific schema name.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    filters List<Property Map>
    objects List<String>
    A filter to return only items related to a specific object name.
    relationType String
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    schemaNames List<String>
    A filter to return only items related to specific schema name.

    getSubsettingPolicySubsettingSchemaRelations Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyId string
    SubsettingSchemaRelationCollections List<GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection>
    The list of subsetting_schema_relation_collection.
    Filters List<GetSubsettingPolicySubsettingSchemaRelationsFilter>
    Objects List<string>
    RelationType string
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    SchemaNames List<string>
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyId string
    SubsettingSchemaRelationCollections []GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection
    The list of subsetting_schema_relation_collection.
    Filters []GetSubsettingPolicySubsettingSchemaRelationsFilter
    Objects []string
    RelationType string
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    SchemaNames []string
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_id string
    subsetting_schema_relation_collections list(object)
    The list of subsetting_schema_relation_collection.
    filters list(object)
    objects list(string)
    relation_type string
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    schema_names list(string)
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId String
    subsettingSchemaRelationCollections List<GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection>
    The list of subsetting_schema_relation_collection.
    filters List<GetSubsettingPolicySubsettingSchemaRelationsFilter>
    objects List<String>
    relationType String
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    schemaNames List<String>
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId string
    subsettingSchemaRelationCollections GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection[]
    The list of subsetting_schema_relation_collection.
    filters GetSubsettingPolicySubsettingSchemaRelationsFilter[]
    objects string[]
    relationType string
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    schemaNames string[]
    id str
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_id str
    subsetting_schema_relation_collections Sequence[GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection]
    The list of subsetting_schema_relation_collection.
    filters Sequence[GetSubsettingPolicySubsettingSchemaRelationsFilter]
    objects Sequence[str]
    relation_type str
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    schema_names Sequence[str]
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId String
    subsettingSchemaRelationCollections List<Property Map>
    The list of subsetting_schema_relation_collection.
    filters List<Property Map>
    objects List<String>
    relationType String
    The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
    schemaNames List<String>

    Supporting Types

    GetSubsettingPolicySubsettingSchemaRelationsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection

    GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollectionItem

    ChildColumns List<string>
    Unique identifiers identifying the child columns in the relation.
    ChildObjectKey string
    The key that identifies the child subsetting table in this relation.
    ChildObjectName string
    The name of the child subsetting table
    ChildSchemaName string
    The database schema that contains the child subsetting table
    Key string
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    ParentColumns List<string>
    Unique identifiers identifying the parents columns in the relation.
    ParentObjectKey string
    The key that identifies the parent subsetting table in this relation.
    ParentObjectName string
    The name of the parent subsetting table
    ParentSchemaName string
    The database schema that contains the parent subsetting table
    RelationType string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    TimeCreated string
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    TimeUpdated string
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.
    ChildColumns []string
    Unique identifiers identifying the child columns in the relation.
    ChildObjectKey string
    The key that identifies the child subsetting table in this relation.
    ChildObjectName string
    The name of the child subsetting table
    ChildSchemaName string
    The database schema that contains the child subsetting table
    Key string
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    ParentColumns []string
    Unique identifiers identifying the parents columns in the relation.
    ParentObjectKey string
    The key that identifies the parent subsetting table in this relation.
    ParentObjectName string
    The name of the parent subsetting table
    ParentSchemaName string
    The database schema that contains the parent subsetting table
    RelationType string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    TimeCreated string
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    TimeUpdated string
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.
    child_columns list(string)
    Unique identifiers identifying the child columns in the relation.
    child_object_key string
    The key that identifies the child subsetting table in this relation.
    child_object_name string
    The name of the child subsetting table
    child_schema_name string
    The database schema that contains the child subsetting table
    key string
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    parent_columns list(string)
    Unique identifiers identifying the parents columns in the relation.
    parent_object_key string
    The key that identifies the parent subsetting table in this relation.
    parent_object_name string
    The name of the parent subsetting table
    parent_schema_name string
    The database schema that contains the parent subsetting table
    relation_type string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    subsetting_policy_id string
    The OCID of the subsetting policy.
    time_created string
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    time_updated string
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.
    childColumns List<String>
    Unique identifiers identifying the child columns in the relation.
    childObjectKey String
    The key that identifies the child subsetting table in this relation.
    childObjectName String
    The name of the child subsetting table
    childSchemaName String
    The database schema that contains the child subsetting table
    key String
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    parentColumns List<String>
    Unique identifiers identifying the parents columns in the relation.
    parentObjectKey String
    The key that identifies the parent subsetting table in this relation.
    parentObjectName String
    The name of the parent subsetting table
    parentSchemaName String
    The database schema that contains the parent subsetting table
    relationType String
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    timeCreated String
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    timeUpdated String
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.
    childColumns string[]
    Unique identifiers identifying the child columns in the relation.
    childObjectKey string
    The key that identifies the child subsetting table in this relation.
    childObjectName string
    The name of the child subsetting table
    childSchemaName string
    The database schema that contains the child subsetting table
    key string
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    parentColumns string[]
    Unique identifiers identifying the parents columns in the relation.
    parentObjectKey string
    The key that identifies the parent subsetting table in this relation.
    parentObjectName string
    The name of the parent subsetting table
    parentSchemaName string
    The database schema that contains the parent subsetting table
    relationType string
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    subsettingPolicyId string
    The OCID of the subsetting policy.
    timeCreated string
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    timeUpdated string
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.
    child_columns Sequence[str]
    Unique identifiers identifying the child columns in the relation.
    child_object_key str
    The key that identifies the child subsetting table in this relation.
    child_object_name str
    The name of the child subsetting table
    child_schema_name str
    The database schema that contains the child subsetting table
    key str
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    parent_columns Sequence[str]
    Unique identifiers identifying the parents columns in the relation.
    parent_object_key str
    The key that identifies the parent subsetting table in this relation.
    parent_object_name str
    The name of the parent subsetting table
    parent_schema_name str
    The database schema that contains the parent subsetting table
    relation_type str
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    subsetting_policy_id str
    The OCID of the subsetting policy.
    time_created str
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    time_updated str
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.
    childColumns List<String>
    Unique identifiers identifying the child columns in the relation.
    childObjectKey String
    The key that identifies the child subsetting table in this relation.
    childObjectName String
    The name of the child subsetting table
    childSchemaName String
    The database schema that contains the child subsetting table
    key String
    The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
    parentColumns List<String>
    Unique identifiers identifying the parents columns in the relation.
    parentObjectKey String
    The key that identifies the parent subsetting table in this relation.
    parentObjectName String
    The name of the parent subsetting table
    parentSchemaName String
    The database schema that contains the parent subsetting table
    relationType String
    A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    timeCreated String
    The date and time the subsetting relation was created, in the format defined by RFC3339.
    timeUpdated String
    The date and time the subsetting relation was last updated, in the format defined by RFC3339.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.3.1
    published on Tuesday, Oct 13, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial